
package cz.moneta.test.dsl.cebia.iva;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlType;


/**
 * <p>Java class for WSIdentificationResponse complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="WSIdentificationResponse"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="TxID" type="{http://www.w3.org/2001/XMLSchema}long" minOccurs="0"/&gt;
 *         &lt;element name="Vehicles" type="{http://samo.cz/iva/}ArrayOfWSVehicleType" minOccurs="0"/&gt;
 *         &lt;element name="ReturnCode" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/&gt;
 *         &lt;element name="ReturnMessage" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="ProcessInfo" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "WSIdentificationResponse", propOrder = {
    "txID",
    "vehicles",
    "returnCode",
    "returnMessage",
    "processInfo"
})
public class WSIdentificationResponse {

    @XmlElement(name = "TxID")
    protected Long txID;
    @XmlElement(name = "Vehicles", nillable = true)
    protected ArrayOfWSVehicleType vehicles;
    @XmlElement(name = "ReturnCode")
    protected Integer returnCode;
    @XmlElement(name = "ReturnMessage", nillable = true)
    protected String returnMessage;
    @XmlElement(name = "ProcessInfo", nillable = true)
    protected String processInfo;

    /**
     * Gets the value of the txID property.
     * 
     * @return
     *     possible object is
     *     {@link Long }
     *     
     */
    public Long getTxID() {
        return txID;
    }

    /**
     * Sets the value of the txID property.
     * 
     * @param value
     *     allowed object is
     *     {@link Long }
     *     
     */
    public void setTxID(Long value) {
        this.txID = value;
    }

    /**
     * Gets the value of the vehicles property.
     * 
     * @return
     *     possible object is
     *     {@link ArrayOfWSVehicleType }
     *     
     */
    public ArrayOfWSVehicleType getVehicles() {
        return vehicles;
    }

    /**
     * Sets the value of the vehicles property.
     * 
     * @param value
     *     allowed object is
     *     {@link ArrayOfWSVehicleType }
     *     
     */
    public void setVehicles(ArrayOfWSVehicleType value) {
        this.vehicles = value;
    }

    /**
     * Gets the value of the returnCode property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getReturnCode() {
        return returnCode;
    }

    /**
     * Sets the value of the returnCode property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setReturnCode(Integer value) {
        this.returnCode = value;
    }

    /**
     * Gets the value of the returnMessage property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getReturnMessage() {
        return returnMessage;
    }

    /**
     * Sets the value of the returnMessage property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setReturnMessage(String value) {
        this.returnMessage = value;
    }

    /**
     * Gets the value of the processInfo property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getProcessInfo() {
        return processInfo;
    }

    /**
     * Sets the value of the processInfo property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setProcessInfo(String value) {
        this.processInfo = value;
    }

    public WSIdentificationResponse withTxID(Long value) {
        setTxID(value);
        return this;
    }

    public WSIdentificationResponse withVehicles(ArrayOfWSVehicleType value) {
        setVehicles(value);
        return this;
    }

    public WSIdentificationResponse withReturnCode(Integer value) {
        setReturnCode(value);
        return this;
    }

    public WSIdentificationResponse withReturnMessage(String value) {
        setReturnMessage(value);
        return this;
    }

    public WSIdentificationResponse withProcessInfo(String value) {
        setProcessInfo(value);
        return this;
    }

}
